Bug 976854 - subman makes more candlepin api calls than needed
subman makes more candlepin api calls than needed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Carter Kozak
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-06-21 12:15 EDT by Adrian Likins
Modified: 2013-10-01 09:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:48:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2013-06-21 12:15:54 EDT
Description of problem:

Subscription-manager (the gui, in particular) makes more REST api calls to the candlepin server than is really needed. This results in unneeded network io and a slow, blocking gui.

Most of this stems for unneeded creation of CertSorter object that make candlepin compliance status calls. 



Checking rhsm.log will show a large number of server calls. Sometimes redundantly. 


These calls should be reduced to a minimum, to improve the gui response, and to reduce the load on the candlepin servers. 


[lots of this already fixed, but this bug is to track the rest]
Comment 1 Carter Kozak 2013-07-19 19:22:59 EDT
This was a more general problem that has been cleaned up for the most part by other (already merged) patches.   I think we're safe closing it at this point.  QA shouldn't need to test anything, as the changes have all been optimizations.
Comment 2 Bryan Kearney 2013-08-01 11:55:01 EDT
Moving these to ON_QA. The tooling must have missed moving these.
Comment 3 Sharath Dwaral 2013-08-08 10:30:20 EDT
Closing bug based on comment 1 and reduced number PUT and GET calls in the logs.

The register and unregister time on standalone candlepin is noticeably faster.

VERIFIED

Note You need to log in before you can comment on or make changes to this bug.